Create Dashboard
curl --request POST \
--url https://api.example.com/dashboards/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"spec": {
"visualisations": [
{
"uid": "<string>",
"title": "<string>",
"grid_layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"data_source_uid": "<string>",
"config": {
"columns": [
"<string>"
],
"type": "STANDARD_TABLE"
}
}
],
"data_sources": [
{
"uid": "<string>",
"query": "<string>",
"filters": [
{
"uid": "<string>",
"column": "<string>",
"filter_condition": {
"value": "<string>",
"is_negated": false
}
}
]
}
]
}
}
'import requests
url = "https://api.example.com/dashboards/"
payload = {
"name": "<string>",
"description": "<string>",
"spec": {
"visualisations": [
{
"uid": "<string>",
"title": "<string>",
"grid_layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"data_source_uid": "<string>",
"config": {
"columns": ["<string>"],
"type": "STANDARD_TABLE"
}
}
],
"data_sources": [
{
"uid": "<string>",
"query": "<string>",
"filters": [
{
"uid": "<string>",
"column": "<string>",
"filter_condition": {
"value": "<string>",
"is_negated": False
}
}
]
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
spec: {
visualisations: [
{
uid: '<string>',
title: '<string>',
grid_layout: {x: 123, y: 123, w: 123, h: 123},
data_source_uid: '<string>',
config: {columns: ['<string>'], type: 'STANDARD_TABLE'}
}
],
data_sources: [
{
uid: '<string>',
query: '<string>',
filters: [
{
uid: '<string>',
column: '<string>',
filter_condition: {value: '<string>', is_negated: false}
}
]
}
]
}
})
};
fetch('https://api.example.com/dashboards/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"datasets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"detailed_description": "<string>",
"organisation_id": "<string>",
"status": "<string>",
"starred": true,
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"columns": [
"<string>"
],
"is_embedding_searchable": true,
"dataset_card": "<string>",
"dictionary": {},
"dataset_schema": {
"column_schemas": {}
},
"annotations": {},
"warehousing_error": "<string>",
"cron_schedule": "<string>",
"schedule_enabled": true,
"last_schedule_run_at": "2023-11-07T05:31:56Z",
"import_config": {},
"is_importing": true
}
],
"spec": {
"visualisations": [
{
"uid": "<string>",
"title": "<string>",
"grid_layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"data_source_uid": "<string>",
"config": {
"columns": [
"<string>"
],
"type": "STANDARD_TABLE"
}
}
],
"data_sources": [
{
"uid": "<string>",
"query": "<string>",
"filters": [
{
"uid": "<string>",
"column": "<string>",
"filter_condition": {
"value": "<string>",
"is_negated": false
}
}
],
"columns_schemas": {},
"is_embedding_searchable": true
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}dashboards
Create Dashboard
POST
/
dashboards
/
Create Dashboard
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
Successful Response
⌘I